Package com.abc.bluetoothTerminalfactory

# Class BluetoothSmartCard

java.lang.Object
com.abc.bluetoothTerminalfactory.BluetoothSmartCard

public class BluetoothSmartCard extends Object
The `BluetoothSmartCard` class is a class that is used to communicate with a Smart Card using AB Circle Bluetooth Terminals

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getCopyright()`
  Returns the copyright information.
  `static BluetoothSmartCard`
  `getInstance(Context context)`
  The getInstance() function is a static method that returns a singleton instance of the BluetoothSmartCard class
  `AbCircleBluetoothTerminalManager`
  `getManager()`
  This function returns the AbCircleBluetoothTerminalManager object that is used to communicate with bluetooth terminals devices
  `static String`
  `getVersion()`
  This function returns the version of the library
  `void`
  `onResume()`
  This method re-initializes bluetooth after activity resume from stop
  `void`
  `onStop()`
  This method disconnects bluetooth terminals when the activity stops
  `static CardTerminals`
  `terminals()`
  An alternative method (workaround) for obtaining CardTerminals directly bypass TerminalFactory, Provider implementation can be different on older versions of android.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static BluetoothSmartCard getInstance(Context context)
    The getInstance() function is a static method that returns a singleton instance of the BluetoothSmartCard class
    Parameters:
      `context` - The context of the calling activity.
    Returns:
      The BluetoothSmartCard object.

  - ### onStop

    public void onStop()
    This method disconnects bluetooth terminals when the activity stops

    Example: protected void onStop() { BluetoothSmartCard.getInstance(this).onStop(); super.onStop(); }

  - ### onResume

    public void onResume()
    This method re-initializes bluetooth after activity resume from stop

    Example: protected void onResume() { BluetoothSmartCard.getInstance(this).onResume(); super.onResume(); }

  - ### terminals

    public static CardTerminals terminals()
    An alternative method (workaround) for obtaining CardTerminals directly bypass TerminalFactory, Provider implementation can be different on older versions of android.

    Example: CardTerminals cardTerminals = BluetoothSmartCard.getInstance(this).terminals();

    Returns:
      JSR268 CardTerminals

  - ### getVersion

    public static String getVersion()
    This function returns the version of the library
    Returns:
      The version of the library.

  - ### getCopyright

    public static String getCopyright()
    Returns the copyright information.
    Returns:
      The copyright statement.

  - ### getManager

    public AbCircleBluetoothTerminalManager getManager()
    This function returns the AbCircleBluetoothTerminalManager object that is used to communicate with bluetooth terminals devices
    Returns:
      The AbCircleBluetoothTerminalManager object.